org.apache.olingo.server.api.deserializer

## Enum DeserializerException.MessageKeys

- java.lang.Object
- - java.lang.Enum<DeserializerException.MessageKeys>
  - - org.apache.olingo.server.api.deserializer.DeserializerException.MessageKeys

- All Implemented Interfaces:
    Serializable, Comparable<DeserializerException.MessageKeys>, ODataLibraryException.MessageKey
  Enclosing class:
    DeserializerException

      public static enum DeserializerException.MessageKeys
      extends Enum<DeserializerException.MessageKeys>
      implements ODataLibraryException.MessageKey

  Keys for exception texts in the resource bundle.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DUPLICATE_JSON_PROPERTY`
    `DUPLICATE_PROPERTY`
    `INVALID_ACTION_PARAMETER_TYPE` parameter: action parameter name
    `INVALID_ANNOTATION_TYPE` parameter: annotationName
    `INVALID_ENTITY`
    `INVALID_ENTITY_BINDING_LINK` parameter: binding link
    `INVALID_JSON_TYPE_FOR_PROPERTY` parameter: propertyName
    `INVALID_NULL_ANNOTATION` parameter: annotationName
    `INVALID_NULL_PARAMETER` parameter: parameterName
    `INVALID_NULL_PROPERTY` parameter: propertyName
    `INVALID_VALUE_FOR_NAVIGATION_PROPERTY` parameter: navigationPropertyName
    `INVALID_VALUE_FOR_PROPERTY` parameter: propertyName
    `IO_EXCEPTION`
    `JSON_SYNTAX_EXCEPTION`
    `NAVIGATION_PROPERTY_NOT_FOUND` parameter: navigationPropertyName
    `NOT_IMPLEMENTED`
    `UNKNOWN_CONTENT` parameter: keyName
    `UNKNOWN_PRIMITIVE_TYPE` parameters: primitiveTypeName, propertyName
    `UNSUPPORTED_FORMAT` parameter: format
    `VALUE_ARRAY_NOT_PRESENT`
    `VALUE_TAG_MUST_BE_AN_ARRAY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()` Gets this key.
    `static DeserializerException.MessageKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DeserializerException.MessageKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_IMPLEMENTED

          public static final DeserializerException.MessageKeys NOT_IMPLEMENTED

    - #### IO_EXCEPTION

          public static final DeserializerException.MessageKeys IO_EXCEPTION

    - #### UNSUPPORTED_FORMAT

          public static final DeserializerException.MessageKeys UNSUPPORTED_FORMAT

      parameter: format

    - #### JSON_SYNTAX_EXCEPTION

          public static final DeserializerException.MessageKeys JSON_SYNTAX_EXCEPTION

    - #### INVALID_NULL_PROPERTY

          public static final DeserializerException.MessageKeys INVALID_NULL_PROPERTY

      parameter: propertyName

    - #### UNKNOWN_CONTENT

          public static final DeserializerException.MessageKeys UNKNOWN_CONTENT

      parameter: keyName

    - #### INVALID_VALUE_FOR_PROPERTY

          public static final DeserializerException.MessageKeys INVALID_VALUE_FOR_PROPERTY

      parameter: propertyName

    - #### INVALID_JSON_TYPE_FOR_PROPERTY

          public static final DeserializerException.MessageKeys INVALID_JSON_TYPE_FOR_PROPERTY

      parameter: propertyName

    - #### VALUE_ARRAY_NOT_PRESENT

          public static final DeserializerException.MessageKeys VALUE_ARRAY_NOT_PRESENT

    - #### VALUE_TAG_MUST_BE_AN_ARRAY

          public static final DeserializerException.MessageKeys VALUE_TAG_MUST_BE_AN_ARRAY

    - #### INVALID_ENTITY

          public static final DeserializerException.MessageKeys INVALID_ENTITY

    - #### INVALID_VALUE_FOR_NAVIGATION_PROPERTY

          public static final DeserializerException.MessageKeys INVALID_VALUE_FOR_NAVIGATION_PROPERTY

      parameter: navigationPropertyName

    - #### DUPLICATE_PROPERTY

          public static final DeserializerException.MessageKeys DUPLICATE_PROPERTY

    - #### DUPLICATE_JSON_PROPERTY

          public static final DeserializerException.MessageKeys DUPLICATE_JSON_PROPERTY

    - #### UNKNOWN_PRIMITIVE_TYPE

          public static final DeserializerException.MessageKeys UNKNOWN_PRIMITIVE_TYPE

      parameters: primitiveTypeName, propertyName

    - #### NAVIGATION_PROPERTY_NOT_FOUND

          public static final DeserializerException.MessageKeys NAVIGATION_PROPERTY_NOT_FOUND

      parameter: navigationPropertyName

    - #### INVALID_ANNOTATION_TYPE

          public static final DeserializerException.MessageKeys INVALID_ANNOTATION_TYPE

      parameter: annotationName

    - #### INVALID_NULL_ANNOTATION

          public static final DeserializerException.MessageKeys INVALID_NULL_ANNOTATION

      parameter: annotationName

    - #### INVALID_ENTITY_BINDING_LINK

          public static final DeserializerException.MessageKeys INVALID_ENTITY_BINDING_LINK

      parameter: binding link

    - #### INVALID_ACTION_PARAMETER_TYPE

          public static final DeserializerException.MessageKeys INVALID_ACTION_PARAMETER_TYPE

      parameter: action parameter name

    - #### INVALID_NULL_PARAMETER

          public static final DeserializerException.MessageKeys INVALID_NULL_PARAMETER

      parameter: parameterName

  - ### Method Detail

    - #### values

          public static DeserializerException.MessageKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeserializerException.MessageKeys c : DeserializerException.MessageKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeserializerException.MessageKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getKey

          public String getKey()

      Description copied from interface: `ODataLibraryException.MessageKey`
      Gets this key.
      Specified by:
        `getKey` in interface `ODataLibraryException.MessageKey`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.